/*******************************************************************

Part of the Fritzing project - http://fritzing.org
Copyright (c) 2007-2009 Fachhochschule Potsdam - http://fh-potsdam.de

Fritzing is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Fritzing is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Fritzing.  If not, see <http://www.gnu.org/licenses/>.

********************************************************************

$Revision: 2948 $:
$Author: cohen@irascible.com $:
$Date: 2009-05-15 17:05:14 +0200 (Fri, 15 May 2009) $

********************************************************************/

#ifndef FGRAPHICSSCENE_H
#define FGRAPHICSSCENE_H

#include <QGraphicsScene>
#include <QPainter>
#include <QGraphicsSceneHelpEvent>

class FGraphicsScene : public QGraphicsScene
{
	Q_OBJECT

public:
	FGraphicsScene(QObject * parent = 0);
	void helpEvent(QGraphicsSceneHelpEvent *);
	void drawItems(QPainter *, int numItems, QGraphicsItem * items[], const QStyleOptionGraphicsItem options[], QWidget *);
	void contextMenuEvent(QGraphicsSceneContextMenuEvent *contextMenuEvent);
	QPointF lastContextMenuPos();

protected:
	QPointF m_lastContextMenuPos;

};

#endif
