/*******************************************************************

Part of the Fritzing project - http://fritzing.org
Copyright (c) 2007-2009 Fachhochschule Potsdam - http://fh-potsdam.de

Fritzing is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Fritzing is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Fritzing.  If not, see <http://www.gnu.org/licenses/>.

********************************************************************

$Revision: 2829 $:
$Author: cohen@irascible.com $:
$Date: 2009-04-17 00:22:27 +0200 (Fri, 17 Apr 2009) $

********************************************************************/

#ifndef GROUPITEMKIN_H
#define GROUPITEMKIN_H

#include <QGraphicsItemGroup>
#include <QVariant>

#include "groupitembase.h"

class GroupItemKin : public GroupItemBase
{

public:
	GroupItemKin(ModelPart* modelPart, ViewIdentifierClass::ViewIdentifier viewIdentifier, const ViewGeometry & viewGeometry, long id, QMenu * itemMenu);
	
	ItemBase * layerKinChief();
	void setLayerKinChief(GroupItemBase *);
	void resetID();
	void clearModelPart();
	bool isLowerLayerVisible(GroupItemBase *);
	ItemBase * lowerConnectorLayerVisible(ItemBase *);
	void setHidden(bool hide);

protected:
	void mousePressEvent(QGraphicsSceneMouseEvent *event);
	QVariant itemChange(GraphicsItemChange change, const QVariant &value);
	void updateConnections();


protected:
	GroupItemBase * m_layerKinChief;
};



#endif
